Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007513OCamlstandard librarypublic2017-04-04 15:482017-05-16 22:00
Reporteryallop 
Assigned Tolefessan 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0007513: List.compare_length_with mishandles negative numbers / overflow
Description# List.compare_length_with [] min_int;;
- : int = 1
# List.compare_length_with [1] min_int;;
- : int = -1
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0017720)
lefessan (developer)
2017-04-05 10:21

I submitted the following PR:
https://github.com/ocaml/ocaml/pull/1136 [^]

You might want to review it to check that it does not introduce another bug.
(0017802)
shinwell (developer)
2017-05-16 22:00

GPR#1136 has been merged to fix this issue.

- Issue History
Date Modified Username Field Change
2017-04-04 15:48 yallop New Issue
2017-04-05 10:21 lefessan Note Added: 0017720
2017-04-05 10:21 lefessan Assigned To => lefessan
2017-04-05 10:21 lefessan Status new => assigned
2017-05-16 22:00 shinwell Note Added: 0017802
2017-05-16 22:00 shinwell Status assigned => resolved
2017-05-16 22:00 shinwell Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker